https://management-test.adyen.com/v1/merchants/{merchantId}/apiCredentialsCreates an API credential for the company account identified in the path. In the request, you can specify the roles and allowed origins for the new API credential. The response includes the: * API key: used for API request authentication. * Client key: public key used for client-side authentication. * Username and password: used for basic authentication. > Make sure you store the API key securely in your system. You won't be able to retrieve it later. If your API key is lost or compromised, you need to generate a new API key. To make this request, your API credential must have the following roles: * Management API—API credentials read and write
The unique identifier of the merchant account.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://management-test.adyen.com/v1/merchants/{merchantId}/apiCredentials' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://management-test.adyen.com/v1/merchants/{merchantId}/apiCredentialsCreates an API credential for the company account identified in the path. In the request, you can specify the roles and allowed origins for the new API credential. The response includes the: * API key: used for API request authentication. * Client key: public key used for client-side authentication. * Username and password: used for basic authentication. > Make sure you store the API key securely in your system. You won't be able to retrieve it later. If your API key is lost or compromised, you need to generate a new API key. To make this request, your API credential must have the following roles: * Management API—API credentials read and write
The unique identifier of the merchant account.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://management-test.adyen.com/v1/merchants/{merchantId}/apiCredentials' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}